Summary
Export Automation
Description
Export an Automation.
Route
GET /operations-manager/automations/:id/export
Roles
admin
engineering
apiread
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to export. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
The result of the export operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"_id": "9f288824fa6ae2ef5a52689c",
"gbac": {
"write": [
{
"provenance": "localAAA",
"name": "designers",
"description": "Description of a group"
},
{
"provenance": "ldap",
"name": "admins",
"description": "Description of a group"
},
{
"provenance": "localAAA",
"name": "operators",
"description": "Description of a group"
}
],
"read": [
{
"provenance": "ldap",
"name": "operators",
"description": "Description of a group"
}
]
},
"componentName": "cillum",
"createdBy": null,
"created": "1946-12-23T21:44:59.994Z",
"lastUpdatedBy": null,
"lastUpdated": "2013-04-09T21:35:57.829Z",
"triggers": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"enabled": true,
"actionType": "automations",
"actionId": "c8e6711acb2712a6f395593e",
"verb": "POST",
"routeName": "G0Lw0Dsd",
"_id": "0cd305b39e9f734d91aff46e",
"description": "Some helpful information about the document",
"lastExecuted": 32783447,
"migrationVersion": 19953365,
"createdBy": "enim",
"created": "2024-06-24T18:10:42.992Z",
"lastUpdatedBy": "culpa Ut ut",
"lastUpdated": "1962-06-20T09:24:27.683Z"
}
]
}
}